Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.PDFXCompliance Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| ConvertPDFFile (src_pdf_path, saved_pdf_path, convert_to_version, view_or_print_condition, to_convert_rgb_or_lab, to_decalibrate_gray_or_cmyk, progress_callback)
| Convert a PDF file with specified PDFX version. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| Verify (verify_version, src_pdf_path, first_page_index, last_page_index, progress_callback)
| Verify a PDF file with specified PDFX version. More...

## Static Public Attributes
static | e_VersionPDFX1a
| Enumeration for PDF/X version. More...
static | e_VersionPDFX1aCoatedGRACoL2006
| PDF/X-1a (Coated GRACoL 2006).
static | e_VersionPDFX1aISOCoatedv2ECI
| PDF/X-1a (ISO Coated v2 (ECI)).
static | e_VersionPDFX1aJapanColor2001Coated
| PDF/X-1a (Japan Color 2001 Coated).
static | e_VersionPDFX1aPSOCoatedv3ECI
| PDF/X-1a (PSO Coated v3 (ECI)).
static | e_VersionPDFX3
| PDF/X-3.
static | e_VersionPDFX3CoatedGRACoL2006
| PDF/X-3 (Coated GRACoL 2006).
static | e_VersionPDFX3ISOCoatedv2ECI
| PDF/X-3 (ISO Coated v2 (ECI)).
static | e_VersionPDFX3JapanColor2001Coated
| PDF/X-3 (Japan Color 2001 Coated).
static | e_VersionPDFX3PSOCoatedv3ECI
| PDFX-3 (PSO Coated v3 (ECI)).
static | e_VersionPDFX4
| PDF/X-4.
static | e_VersionPDFX4AndCLLVISOCoatedv2ECI
| PDF/X-4 and create language layer views (ISO Coated v2 (ECI))).
static | e_VersionPDFX4CoatedGRACoL2006
| PDF/X-4 (Coated GRACoL 2006).
static | e_VersionPDFX4ISOCoatedv2ECI
| PDF/X-4 (ISO Coated v2 (ECI)).
static | e_VersionPDFX4JapanColor2001Coated
| PDF/X-4 (Japan Color 2001 Coated).
static | e_VersionPDFX4p
| PDF/X-4p.
static | e_VersionPDFX4PSOCoatedv3ECI
| PDF/X-4 (PSO Coated v3 (ECI)).

## Detailed Description

This class can be used to verify if a PDF file matches a PDF/X version or convert a PDF file to a PDF/X version. Please ensure FSDK.ComplianceEngine has been initialized successfully.

See also
  FSDK.ComplianceEngine

## Member Function Documentation

## ◆ ConvertPDFFile()

FSDK.PDFXCompliance.ConvertPDFFile | ( | src_pdf_path | ,
|  | saved_pdf_path | ,
|  | convert_to_version | ,
|  | view_or_print_condition | ,
|  | to_convert_rgb_or_lab | ,
|  | to_decalibrate_gray_or_cmyk | ,
|  | progress_callback |
| ) |  |

Convert a PDF file with specified PDFX version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDFX version to convert. Please refer to values starting from FSDK.PDFXCompliance.e_VersionPDFX1a and this should be one of these values.
  [in] | conv_profile | Conversion profile type.
  [in] | view_or_print_condition | Viewing or printing condition. Please refer to values starting from FSDK.ComplianceEngine.e_ViewOrPrintConditionAuto and this should be one of these values.
  [in] | to_convert_rgb_or_lab | Whether to convert device independ RGB or Lab color into destination color space. true means to convert, false means not to convert. It only works if convert_to_version is not FSDK.PDFXCompliance.e_VersionPDFX1a, FSDK.PDFXCompliance.e_VersionPDFX1aCoatedGRACoL2006, FSDK.PDFACompliance.e_VersionPDFX1aISOCoatedv2ECI, FSDK.PDFACompliance.e_VersionPDFX1aJapanColor2001Coated and FSDK.PDFACompliance.e_VersionPDFX1aPSOCoatedv3ECI.
  [in] | to_decalibrate_gray_or_cmyk | Whether to decalibrate device independent Gray or CMYK. true means to decalibrate, false means not to decalibrate.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be NULL. Default value: NULL.

Returns
  A FSDK.ResultInformation object.

## ◆ IsEmpty()

FSDK.PDFXCompliance.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Verify()

FSDK.PDFXCompliance.Verify | ( | verify_version | ,
|  | src_pdf_path | ,
|  | first_page_index | ,
|  | last_page_index | ,
|  | progress_callback |
| ) |  |

Verify a PDF file with specified PDFX version.

Parameters

  [in] | verify_version | PDFX version to verify. Please refer to values starting from FSDK.PDFXCompliance.e_VersionPDFX1a to and this should be one of these values. src_pdf_path A complete path of source PDF file to be verified. This should not be an empty string. first_page_index Index of the first page to be verified, staring from 0. Default value: 0. last_page_index Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified and parameter first_page_index would be ignored. Default value: -1. progress_callback Progress callback which is implemented by user and can be used to get progress data. This can be NULL. Default value: NULL. A FSDK.ResultInformation object.

## Member Data Documentation

## ◆ e_VersionPDFX1a

FSDK.PDFXCompliance.e_VersionPDFX1a
| static

Enumeration for PDF/X version.

Values of this enumeration should be used alone.

PDF/X-1a.